Create a user profile schema and define profile fields
Creates a user profile schema, defining the fields and descriptions included in the profile.
Method and endpoint
POST https://dashscope.aliyuncs.com/api/v2/apps/memory/profile_schemas
Request parameters
| Parameter | Type | Required | Location | Description |
|---|---|---|---|---|
name | string | Yes | Body | Profile schema name, up to 32 characters |
description | string | No | Body | Profile schema description |
plan_version | string | No | Body | Billing plan: pro or lite |
extract_scene | string | No | Body | Extraction mode: efficient or intelligent; defaults to efficient |
attributes | array | Yes | Body | Profile attribute definitions; the array cannot be empty |
attributes[].name | string | Yes | Body | Attribute name |
attributes[].description | string | No | Body | Attribute description |
memory_library_id | string | No | Body | Memory library ID. If omitted, the default memory library is used |